Package org.apache.sysds.runtime.instructions.ooc

# Enum Class OOCInstruction.OOCType

java.lang.Object
java.lang.Enum<OOCInstruction.OOCType>
org.apache.sysds.runtime.instructions.ooc.OOCInstruction.OOCType

All Implemented Interfaces:
  `Serializable`, `Comparable<OOCInstruction.OOCType>`, `Constable`

Enclosing class:
  OOCInstruction

public static enum OOCInstruction.OOCType extends Enum<OOCInstruction.OOCType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AggregateBinary`
`AggregateTernary`
`AggregateUnary`
`Append`
`Binary`
`CM`
`Ctable`
`MAPMM`
`MAPMMCHAIN`
`MatrixIndexing`
`MMTSJ`
`ParameterizedBuiltin`
`Quaternary`
`Rand`
`Reblock`
`Reorg`
`Reshape`
`Tee`
`Ternary`
`Unary`

## Method Summary

Modifier and Type
Method
Description
`static OOCInstruction.OOCType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OOCInstruction.OOCType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Reblock

public static final OOCInstruction.OOCType Reblock

### Tee

public static final OOCInstruction.OOCType Tee

### Binary

public static final OOCInstruction.OOCType Binary

### Ternary

public static final OOCInstruction.OOCType Ternary

### Unary

public static final OOCInstruction.OOCType Unary

### AggregateUnary

public static final OOCInstruction.OOCType AggregateUnary

### AggregateBinary

public static final OOCInstruction.OOCType AggregateBinary

### AggregateTernary

public static final OOCInstruction.OOCType AggregateTernary

### MAPMM

public static final OOCInstruction.OOCType MAPMM

### MMTSJ

public static final OOCInstruction.OOCType MMTSJ

### MAPMMCHAIN

public static final OOCInstruction.OOCType MAPMMCHAIN

### Reorg

public static final OOCInstruction.OOCType Reorg

### CM

public static final OOCInstruction.OOCType CM

### Ctable

public static final OOCInstruction.OOCType Ctable

### MatrixIndexing

public static final OOCInstruction.OOCType MatrixIndexing

### ParameterizedBuiltin

public static final OOCInstruction.OOCType ParameterizedBuiltin

### Rand

public static final OOCInstruction.OOCType Rand

### Append

public static final OOCInstruction.OOCType Append

### Quaternary

public static final OOCInstruction.OOCType Quaternary

### Reshape

public static final OOCInstruction.OOCType Reshape

## Method Details

### values

public static OOCInstruction.OOCType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static OOCInstruction.OOCType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null